
Foreman - Bug #16376

required flag not set from puppetclass

08/30/2016 04:46 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Parameters   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3793

  

Description

Steps:

1) Go to Configure -> Classes

2) Edit a puppetclass

3) Find an overridden parameter and set it to require then save

4) Edit the class again and check the required flag

The flag isn't set.

Workaround: go to Configure -> Smart class parameters and edit the parameter from there.

Related issues:

Related to Foreman - Feature #3917: Add strong_parameters to foreman Closed 12/19/2013

Associated revisions

Revision ddf80e13 - 08/31/2016 07:24 AM - Dominic Cleal

fixes #16376 - use correct params filter for nested Puppet LKs

History

#1 - 08/30/2016 04:56 AM - Dominic Cleal

- Related to Feature #3917: Add strong_parameters to foreman added

#2 - 08/30/2016 04:57 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#3 - 08/30/2016 05:03 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 08/30/2016 05:05 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3793 added

#5 - 08/31/2016 08:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ddf80e132ed9087e527c108f5fc0f2f5e0ac7639.
